package cd.casic.module.execute.docker.dataobject.dto;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 本地镜像
 *
 * @author Yuru Pu
 * @version 1.0
 * @since 2025/7/23 16:22
 */
@TableName("pipeline_image")
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class DockerImageDo extends BaseDO {

    @TableId(type =  IdType.ASSIGN_ID)
    private String id;

    private String name;

    /**
     * 文件大小
     */
    private Integer size;

    /**
     * 文件版本
     */
    private String version;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 地址路径
     */
    private String path;

    /**
     * 描述
     */
    private String description;

    /**
     * 状态 0 可用
     */
    private Boolean state;



}
