package cd.casic.module.execute.docker.dataobject.model;

import cd.casic.framework.commons.dataobject.BaseDO;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 本地镜像
 *
 * @author Yuru Pu
 * @version 1.0
 * @since 2025/7/23 16:22
 */
@Data
@Accessors(chain = true)
public class DockerImage extends BaseDO {

    private String id;

    private String name;

    /**
     * 文件大小
     */
    private Integer size;

    /**
     * 文件版本
     */
    private String version;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 地址路径
     */
    private String path;

    /**
     * 描述
     */
    private String description;

    /**
     * 状态 1 可用
     */
    private Boolean state;



}
